using System;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(menuName = "Data/Buildings/BuildingData")]
public class BuildingData : ScriptableObject
{
    [Header("Building info")]
    public string Name;
    [TextArea]
    public string Description;
    public Vector2 Size;
    public bool CanPlaceOnTop;

    [Header("Building cost")]
    public List<CardAmountPair> BuildingCost;
    public float BuildTime;

    [Header("Building prefab")]
    public GameObject BuildingPrefab;
}

[Serializable]
public class CardAmountPair
{
    public CardData CardData;
    public int Amount;
}